/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_HOME_VIEW_H__
#define __AIR_HOME_VIEW_H__

#include "datamgr.h"

enum update_type {
	UPDATE_TYPE_EDIT,
	UPDATE_TYPE_PHOTO,
	UPDATE_TYPE_NOTI,
	UPDATE_TYPE_USER,
	UPDATE_TYPE_RESET,
	UPDATE_TYPE_MENU,
	UPDATE_TYPE_PIN_CODE,
	UPDATE_TYPE_PIN_RESULT,
	UPDATE_TYPE_SWITCH
};

enum menu_type {
	MENU_TYPE_ADD,
	MENU_TYPE_EDIT,
	MENU_TYPE_MAX
};

struct view_update_data {
	bool state;
	int type;
	struct datamgr_item *di;
};

view_class *view_home_get_vclass(void);
view_class *view_user_get_vclass(void);
view_class *view_user_edit_get_vclass(void);
view_class *view_photo_get_vclass(void);
view_class *view_recent_get_vclass(void);
view_class *view_action_menu_get_vclass(void);
view_class *view_pin_get_vclass(void);

#endif /* __AIR_HOME_VIEW_H__ */
